Skip to main content
GET
Fetch a Reconciliation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

Path Parameters

reconciliation_id
string
required

The reconciliation ID

Response

Successful Response

id
string
required

The Reconciliation ID.

Example:

"FYQxHfWNCMnUuXr6iQhjgG"

start_datetime
string<date-time>
required

The start datetime of the Reconciliation.

Example:

"2024-01-01T00:00:00Z"

end_datetime
string<date-time>
required

The end datetime of the Reconciliation.

Example:

"2024-01-01T00:00:00Z"

reconciled_balance
number
required

The balance of all reconciled journal entries in the ledger with a datetime before the end datetime. Excludes journal entries that were skipped to be reconciled in a later reconciliation after the end datetime.

Example:

132629.38

statement_ending_balance
number
required

The ending balance of the statement used to perform the Reconciliation.

Example:

132629.38

reconciliation_status
enum<string>
required

The status of the Reconciliation.

Available options:
reconciled,
unreconciled
Examples:

"unreconciled"

"reconciled"

progress_status
string
required

The progress of the Reconciliation.

Examples:

"in_progress"

"completed"

final_reconciled_balance
number
required

The statement balance after applying all journal entries in the reconciliation period. For completed reconciliations this equals the reconciled_balance. For in-progress reconciliations this is the running balance through the last journal entry.

Example:

132629.38

ledger_id
string | null

The Ledger ID

Example:

"WTjdK47SHxokWUdypL8zyB"

statement_starting_balance
number | null

The starting balance of the statement. Equal to the statement_ending_balance of the previous reconciliation or the opening balance of the ledger

Example:

122629.38

completed_on_datetime
string<date-time> | null

The datetime when the Reconciliation was last changed to completed.

Example:

"2024-01-01T00:00:00Z"